Bug 1581569 (CVE-2018-8020) - CVE-2018-8020 tomcat-native: Mishandled OCSP responses can allow clients to authenticate with revoked certificates
Summary: CVE-2018-8020 tomcat-native: Mishandled OCSP responses can allow clients to a...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-8020
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1585841 1585842 1610613 1610614
Blocks: 1579038
TreeView+ depends on / blocked
 
Reported: 2018-05-23 06:16 UTC by Sam Fowler
Modified: 2019-09-29 14:39 UTC (History)
33 users (show)

Fixed In Version: tomcat-native 1.2.17
Doc Type: If docs needed, set a value
Doc Text:
When using pre-produced responses from an OCSP responder, Tomcat Native did not correctly validate the status of certificates. This allowed for revoked client certificates to be incorrectly identified. It was therefore possible for users to authenticate with revoked certificates when using mutual TLS.
Clone Of:
Environment:
Last Closed: 2019-06-10 10:26:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2469 None None None 2018-08-16 15:01:00 UTC
Red Hat Product Errata RHSA-2018:2470 None None None 2018-08-16 14:50:52 UTC

Description Sam Fowler 2018-05-23 06:16:44 UTC
Apache Tomcat Native has a flaw that does not properly check OCSP pre-produced responses, which are lists (multiple entries) of certificate statuses. Subsequently, revoked client certificates may not be properly identified, allowing for users to authenticate with revoked certicates to connections that require mutual TLS.

Comment 1 Sam Fowler 2018-05-23 06:16:58 UTC
Acknowledgments:

Name: Coty Sutherland (Red Hat)

Comment 5 Sam Fowler 2018-08-01 04:08:44 UTC
Created tomcat-native tracking bugs for this issue:

Affects: epel-all [bug 1610614]
Affects: fedora-all [bug 1610613]

Comment 6 errata-xmlrpc 2018-08-16 14:50:43 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2018:2470 https://access.redhat.com/errata/RHSA-2018:2470

Comment 7 errata-xmlrpc 2018-08-16 15:00:49 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 3 for RHEL 7
  Red Hat JBoss Web Server 3 for RHEL 6

Via RHSA-2018:2469 https://access.redhat.com/errata/RHSA-2018:2469


Note You need to log in before you can comment on or make changes to this bug.